#
# Table structure for table "tt_news"
#
DROP TABLE IF EXISTS tt_news;
CREATE TABLE tt_news (
  uid int(11) auto_increment,
  pid int(11) default '0',
  tstamp int(11) unsigned default '0',
  crdate int(11) unsigned default '0',
  cruser_id int(11) unsigned default '0',
  editlock tinyint(4) unsigned default '0',
  deleted tinyint(3) unsigned default '0',
  hidden tinyint(4) unsigned default '0',
  starttime int(11) unsigned default '0',
  endtime int(11) unsigned default '0',
  fe_group varchar(100) default '0',
  title text,
  datetime int(11) unsigned default '0',
  image text,
  imagecaption text,
  imagealttext text,
  imagetitletext text,
  related int(11) default '0',
  short text,
  bodytext mediumtext,
  author tinytext,
  author_email tinytext,
  category int(11) default '0',
  news_files text,
  links text,
  type tinyint(4) default '0',
  page int(11) default '0',
  keywords text,
  archivedate int(11) default '0',
  ext_url tinytext,
  sys_language_uid int(11) default '0',
  l18n_parent int(11) default '0',
  l18n_diffsource mediumblob,
  no_auto_pb tinyint(4) unsigned default '0',
  t3ver_oid int(11) default '0',
  t3ver_id int(11) default '0',
  t3ver_wsid int(11) default '0',
  t3ver_label varchar(30) default '',
  t3ver_state tinyint(4) default '0',
  t3ver_stage tinyint(4) default '0',
  t3ver_count int(11) default '0',
  t3ver_tstamp int(11) default '0',
  t3_origuid int(11) default '0',
  tx_timtab_trackbacks text,
  tx_timtab_comments_allowed tinyint(4) unsigned default '1',
  tx_timtab_ping_allowed tinyint(4) unsigned default '1',
  PRIMARY KEY (uid),
  KEY parent (pid),
  KEY t3ver_oid (t3ver_oid,t3ver_wsid)
);


INSERT INTO tt_news VALUES ('1', '61', '1179632834', '1179623873', '1', '0', '0', '0', '0', '0', '', 'Lorem', '1179623760', 'Yeti-Render_01.jpg', 'cation', '', '', '0', 'm te epicuri aliquando pertinacia mei. Viderer maiorum denique usu te, inani intellegam ei cum. Sit at fabulas fabellas iracundia, oporteat convenire in per, falli facilis conceptam a', 'Lorem ipsum te epicuri aliquando pertinacia mei. Viderer maiorum denique usu te, inani intellegam ei cum. Sit at fabulas fabellas iracundia, oporteat convenire in per, falli facilis conceptam ad sed. Mei putent perpetua te. Iudico tamquam mediocritatem id pri, pro nostro numquam te, sea choro adipisci et. Et duo sale graece nostro, ius omnes lobortis ut.<br /><br />Vituperatoribus aliquando ut ius. Vix te vide vitae accommodare. In mundi omnium senserit vim, mei iisque verterem antiopam te. Vim populo putant ea. Oportere scripserit ius ei, ad agam gubergren sea, id partiendo elaboraret mel.<br /><br />Ut iisque temporibus vim, no invenire quaestio eloquentiam mei. Option maiorum no mea, id mea summo nemore alterum. In vel ipsum accumsan neglegentur, idque pertinacia eu usu. Discere delectus honestatis no vix, ex nulla oporteat pro, hinc dolorem deserunt nam ut. Vel possit alterum cu. Cu libris diceret periculis ius, ex iuvaret tibique has.<br /><br />Aperiri ceteros incorrupte an nam, has cu vituperatoribus consequuntur. Ei vel porro efficiendi. Labore iracundia cum in, cum at soleat vocent, dicant graece nemore ea nec. Vel an wisi verear suscipiantur, causae appareat ne ius. Ex vix dicant dictas possim, ad suas porro possit usu. In sonet graece vim, atqui exerci scripserit at per.<br /><br />Sit omnis detracto ne, in mea dicam instructior, ei mea discere ponderum. At usu oratio aliquyam. Mea at laudem alterum delenit, cu sit quas nihil. Dicant tempor sed id. Usu cetero delicata id, vis accusam epicurei theophrastus et.<br /><br />Quo tale ipsum singulis te, quo enim ullum ex. Te suscipit postulant delicatissimi eos, malis bonorum liberavisse id pro. Et tantas epicurei qui. Zzril neglegentur complectitur eu duo, partem noster in quo, per numquam accusamus no. Vel possim contentiones id, usu vivendo blandit eu. Mei ad aeque prodesset. Cu malis repudiandae eos, fierent disputando vim ea.<br /><br />Sea diceret delectus eu, quis exerci adolescens mei te, at vitae consul singulis sit. Sed eius altera postea at, ludus legimus forensibus vim at, sed mucius quaestio reformidans ad. Simul recteque at sit, an sed movet maiorum suavitate, cu nam quaeque argumentum. Eum no falli simul. Dolorem splendide eu est. Hinc dictas feugiat duo ne.<br /><br />Ex cum stet invenire, at denique facilisi duo. Mei alii animal an. Debet gubergren mei ut, ad mundi quando duo. In qui percipit vulputate, eam probatus similique abhorreant cu. Id has inimicus consetetur, sit et assum feugiat minimum.<br /><br />Vix atqui falli et, id eum solet mollis suscipit, pri unum lorem detracto te. Eam eu postea maluisset theophrastus, pertinax referrentur no pri. Ad vidit illum minim vis, pri ad detraxit insolens pertinax. Ne erant lucilius disputando usu, labores maiorum et mea, sea te decore sensibus. Cu persius graecis eloquentiam cum.<br /><br />Ea vix fabellas perpetua intellegat. Ius ea idque perpetua urbanitas, mel ei saepe doctus animal, et vim probo blandit urbanitas. Illum omittantur no vim. Vim enim atomorum ad, atqui ridens pro in. Id meliore habemus consulatu nam, amet delenit facilisis mel at. Ad modo iudico cum.', 'Micha Barthel', 'info@infochy.de', '0', '', '', '0', '0', 'Lorem, test', '0', '', '0', '0', 'a:24:{s:5:"title";N;s:6:"hidden";N;s:9:"starttime";N;s:7:"endtime";N;s:4:"type";N;s:8:"editlock";N;s:8:"datetime";N;s:11:"archivedate";N;s:16:"sys_language_uid";N;s:6:"author";N;s:12:"author_email";N;s:5:"short";N;s:8:"bodytext";N;s:8:"keywords";N;s:10:"no_auto_pb";N;s:8:"category";N;s:5:"image";N;s:12:"imagecaption";N;s:12:"imagealttext";N;s:14:"imagetitletext";N;s:5:"links";N;s:7:"related";N;s:10:"news_files";N;s:8:"fe_group";N;}', '0', '0', '0', '0', '', '0', '0', '0', '0', '0', '', '1', '1');


#
# Table structure for table "tx_dam"
#
DROP TABLE IF EXISTS tx_dam;
CREATE TABLE tx_dam (
  uid int(11) auto_increment,
  pid int(11) default '0',
  tstamp int(11) unsigned default '0',
  crdate int(11) unsigned default '0',
  cruser_id int(11) unsigned default '0',
  parent_id int(11) default '0',
  deleted tinyint(4) unsigned default '0',
  active tinyint(4) unsigned default '0',
  sorting int(10) unsigned default '0',
  hidden tinyint(4) unsigned default '0',
  starttime int(11) unsigned default '0',
  endtime int(11) unsigned default '0',
  fe_group int(11) default '0',
  sys_language_uid int(11) default '0',
  l18n_parent int(11) default '0',
  l18n_diffsource mediumblob,
  t3ver_oid int(11) default '0',
  t3ver_id int(11) default '0',
  t3ver_label varchar(30) default '',
  media_type tinyint(4) unsigned default '0',
  title tinytext,
  category int(11) default '0',
  index_type varchar(4) default '',
  file_mime_type varchar(45) default '',
  file_mime_subtype varchar(45) default '',
  file_type varchar(4) default '',
  file_type_version varchar(9) default '',
  file_name varchar(100) default '',
  file_path varchar(255) default '',
  file_size int(11) unsigned default '0',
  file_mtime int(11) unsigned default '0',
  file_inode int(11) default '0',
  file_ctime int(11) unsigned default '0',
  file_hash varchar(32) default '',
  file_status tinyint(4) unsigned default '0',
  file_orig_location varchar(255) default '',
  file_orig_loc_desc varchar(45) default '',
  file_creator varchar(45) default '',
  file_dl_name varchar(100) default '',
  file_usage int(11) unsigned default '0',
  meta text,
  ident varchar(45) default '',
  creator varchar(45) default '',
  keywords tinytext,
  description text,
  alt_text varchar(255) default '',
  caption text,
  abstract text,
  search_content text,
  language char(3) default '',
  pages int(4) unsigned default '0',
  publisher varchar(45) default '',
  copyright varchar(128) default '',
  instructions tinytext,
  date_cr int(11) unsigned default '0',
  date_mod int(11) unsigned default '0',
  loc_desc varchar(45) default '',
  loc_country char(3) default '',
  loc_city varchar(45) default '',
  hres int(11) unsigned default '0',
  vres int(11) unsigned default '0',
  hpixels int(11) unsigned default '0',
  vpixels int(11) unsigned default '0',
  color_space varchar(4) default '',
  width float unsigned default '0',
  height float unsigned default '0',
  height_unit char(3) default '',
  PRIMARY KEY (uid),
  KEY parent (pid),
  KEY media_type (media_type),
  KEY t3ver_oid (t3ver_oid),
  KEY file_type (file_type),
  KEY file_hash (file_hash),
  KEY file_name (file_name),
  KEY file_path (file_path)
);


INSERT INTO tx_dam VALUES ('1', '58', '1179621736', '1179621043', '1', '0', '0', '0', '256', '0', '0', '0', '0', '0', '0', 'a:31:{s:5:"title";N;s:8:"keywords";N;s:11:"description";N;s:11:"loc_country";N;s:8:"loc_city";N;s:8:"loc_desc";N;s:7:"date_cr";N;s:8:"date_mod";N;s:6:"hidden";N;s:9:"starttime";N;s:7:"endtime";N;s:8:"fe_group";N;s:7:"caption";N;s:8:"alt_text";N;s:12:"file_dl_name";N;s:18:"file_orig_location";N;s:18:"file_orig_loc_desc";N;s:8:"category";N;s:11:"color_space";N;s:7:"hpixels";N;s:7:"vpixels";N;s:5:"width";N;s:6:"height";N;s:11:"height_unit";N;s:4:"hres";N;s:4:"vres";N;s:7:"creator";N;s:9:"publisher";N;s:9:"copyright";N;s:5:"ident";N;s:12:"instructions";N;}', '0', '0', '', '2', 'trump-hotel-render', '1', '', 'image', 'jpeg', 'jpg', '', 'trump-hotel-render.jpg', 'fileadmin/t3simages/', '132977', '1179621041', '0', '1179621042', '', '0', '', '', '', 'trump-hotel-render.jpg', '0', '', '', '', '', '', '', '', '', '', '', '0', '', '', '', '1179621043', '1179621043', '', '0', '', '0', '0', '585', '1066', '', '0', '0', '');
INSERT INTO tx_dam VALUES ('2', '58', '1179621724', '1179621044', '1', '0', '0', '0', '128', '0', '0', '0', '0', '0', '0', 'a:31:{s:5:"title";N;s:8:"keywords";N;s:11:"description";N;s:11:"loc_country";N;s:8:"loc_city";N;s:8:"loc_desc";N;s:7:"date_cr";N;s:8:"date_mod";N;s:6:"hidden";N;s:9:"starttime";N;s:7:"endtime";N;s:8:"fe_group";N;s:7:"caption";N;s:8:"alt_text";N;s:12:"file_dl_name";N;s:18:"file_orig_location";N;s:18:"file_orig_loc_desc";N;s:8:"category";N;s:11:"color_space";N;s:7:"hpixels";N;s:7:"vpixels";N;s:5:"width";N;s:6:"height";N;s:11:"height_unit";N;s:4:"hres";N;s:4:"vres";N;s:7:"creator";N;s:9:"publisher";N;s:9:"copyright";N;s:5:"ident";N;s:12:"instructions";N;}', '0', '0', '', '2', 'Yeti-Render', '1', '', 'image', 'jpeg', 'jpg', '', 'Yeti-Render.jpg', 'fileadmin/t3simages/', '87748', '1179621041', '0', '1179621042', '', '0', '', '', '', 'Yeti-Render.jpg', '0', '', '', '', '', '', '', '', '', '', '', '0', '', '', '', '1179621044', '1179621044', '', '0', '', '0', '0', '800', '600', '', '0', '0', '');

#
# Table structure for table "tx_dam_cat"
#
DROP TABLE IF EXISTS tx_dam_cat;
CREATE TABLE tx_dam_cat (
  uid int(11) auto_increment,
  pid int(11) default '0',
  parent_id int(11) default '0',
  tstamp int(11) unsigned default '0',
  sorting int(11) unsigned default '0',
  deleted tinyint(4) unsigned default '0',
  crdate int(11) unsigned default '0',
  cruser_id int(11) unsigned default '0',
  hidden tinyint(4) unsigned default '0',
  fe_group int(11) default '0',
  title tinytext,
  nav_title tinytext,
  subtitle tinytext,
  keywords text,
  description text,
  PRIMARY KEY (uid),
  KEY parent (pid),
  KEY parent_id (parent_id)
);


INSERT INTO tx_dam_cat VALUES ('1', '58', '0', '1179621092', '256', '0', '1179621092', '1', '0', '0', 'example', '', '', '', '');

#
# Table structure for table "tx_dam_mm_cat"
#
DROP TABLE IF EXISTS tx_dam_mm_cat;
CREATE TABLE tx_dam_mm_cat (
  uid_local int(11) default '0',
  uid_foreign int(11) default '0',
  tablenames varchar(30) default '',
  sorting int(11) unsigned default '0',
  sorting_foreign int(11) default '0',
  KEY uid_local (uid_local),
  KEY uid_foreign (uid_foreign)
);


INSERT INTO tx_dam_mm_cat VALUES ('2', '1', '', '1', '0');
INSERT INTO tx_dam_mm_cat VALUES ('1', '1', '', '1', '0');

#
# Table structure for table "tx_dam_metypes_avail"
#
DROP TABLE IF EXISTS tx_dam_metypes_avail;
CREATE TABLE tx_dam_metypes_avail (
  uid int(11) auto_increment,
  pid int(11) default '0',
  parent_id int(11) unsigned default '0',
  tstamp int(11) unsigned default '0',
  sorting int(11) unsigned default '0',
  title varchar(30) default '',
  type tinyint(4) unsigned default '0',
  PRIMARY KEY (uid),
  KEY parent (pid),
  KEY parent_id (parent_id)
);


INSERT INTO tx_dam_metypes_avail VALUES ('1', '58', '0', '1179621044', '300', 'image', '2');
INSERT INTO tx_dam_metypes_avail VALUES ('2', '58', '1', '1179621044', '0', 'jpg', '2');



#
# Table structure for table "tx_dam_mm_ref"
#
DROP TABLE IF EXISTS tx_dam_mm_ref;
CREATE TABLE tx_dam_mm_ref (
  uid_local int(11) default '0',
  uid_foreign int(11) default '0',
  tablenames varchar(30) default '',
  ident varchar(30) default '',
  sorting_foreign int(11) unsigned default '0',
  sorting int(11) unsigned default '0',
  KEY uid_local (uid_local),
  KEY uid_foreign (uid_foreign)
);


INSERT INTO tx_dam_mm_ref VALUES ('1', '1', 'tt_content', 'tx_damttcontent_files', '1', '0');


#
# Table structure for table "tx_dam_log_index"
#
DROP TABLE IF EXISTS tx_dam_log_index;
CREATE TABLE tx_dam_log_index (
  uid int(11) auto_increment,
  pid int(11) default '0',
  tstamp int(11) unsigned default '0',
  cruser_id int(11) unsigned default '0',
  crdate int(11) unsigned default '0',
  error tinyint(4) unsigned default '0',
  type varchar(4) default '',
  item_count int(11) unsigned default '0',
  message tinytext,
  PRIMARY KEY (uid),
  KEY parent (pid)
);


INSERT INTO tx_dam_log_index VALUES ('1', '0', '1179621041', '1', '1179621043', '0', 'auto', '2', 'New files indexed');


#
# Table structure for table "tx_dam_file_tracking"
#
DROP TABLE IF EXISTS tx_dam_file_tracking;
CREATE TABLE tx_dam_file_tracking (
  uid int(11) auto_increment,
  pid int(11) default '0',
  tstamp int(11) unsigned default '0',
  file_name varchar(100) default '',
  file_path varchar(255) default '',
  file_size int(11) unsigned default '0',
  file_ctime int(11) unsigned default '0',
  file_hash varchar(32) default '',
  PRIMARY KEY (uid),
  KEY parent (pid)
);


INSERT INTO tx_dam_file_tracking VALUES ('1', '0', '1179623873', 'Yeti-Render.jpg', 'uploads/pics/', '87748', '1179623873', '559ba2c66ac53090669cc09391ef7740');
INSERT INTO tx_dam_file_tracking VALUES ('2', '0', '1179632834', 'Yeti-Render_01.jpg', 'uploads/pics/', '20819', '1179632834', 'd580291392449184f87ef511faa21206');
